Packages - Bug #2152

[nm-applet] Not authorized to control networking.
2019-01-25 01:29 PM - anon7mous

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

I'm running the OpenRC Edtion of Parabola with lightdm and XFCE4.
| use NetworkManager, network-manager-applet and the nm-connection-edtior. The last two seems to be the problem.
If | want to add a WiFi via nm-connection-editor, it is not possible and will be answered with the following error message:

Insufficient privileges.

If I want to disconnect my wire | get:

(1) org.freedesktop.NetworkManager.network—-control request failed: not autorized

If I open nm-connection-editor as root, I'm able to add a connection but | could not connect to it.

I'm desperate because I've tried everything and nothing works. I've wondered that restart and poweroff works, so | think polkit-elogind
works?

My groups:

gid=985 (users) Gruppen=985 (users),3(sys), 986 (video), 988 (storage), 990 (optical), 994 (disk), 995 (audio)
, 998 (wheel)

History

#1 - 2019-01-25 02:44 PM - freemor

first thing to check. Is the user that you har having this issue as a member of the 'network’ group?
If not please add then to that group and see if the problem persists after logging the user out and back in to pick up the group change.

#2 - 2019-01-25 03:47 PM - anon7mous

| had already tested that, unfortunately without success.
| have also implemented the instructions from the gentoo-wiki: https:/wiki.gentoo.org/wiki/NetworkManager#Fixing_nm-applet_insufficient_privileges

How can | come to grips with the cause?

#3 - 2019-01-25 04:02 PM - anon7mous

Sorry that I'm a fool...
| had changed the group in the workaround from "plugdev" to "network".

polkit.addRule (function (action, subject) {
if (action.id.indexOf ("org.freedesktop.NetworkManager.") == 0 && subject.isInGroup ("network")) {
return polkit.Result.YES;

)i
Now I'm able to disconnect BUT NOT to connect to an WiFi.

| get this message every time:

Legitimization for wireless network is required
Passwords or encryption keys are needed to connect to the wireless network.

If | enter the password again, the message appears directly again. Presumably, access to the place where the password is stored is incorrect?
#4 - 2019-01-25 08:03 PM - freemor

in your groups listed above 'network' is not included. you said you tried that But I'm unclear if you had added yourself to the network group or thought
the policykit thing you did was doing that.

#5 - 2019-01-25 08:06 PM - freemor

looking at that last error it looks like you may not have installed wpa_supplicant-openrc and set it up with rc-update

#6 - 2019-01-25 10:16 PM - anon7mous

Solved, could be closed.

I'm a bit surprised because the bug only disappears if | use the example configuration of wpa_supplicant, but then wpa_supplicant crashes when
booting due to bad values in the file.
It seems like wpa_supplicant has to be removed from the default runlevel.

#7 - 2019-01-27 08:49 AM - bill-auger

we should not want to close any issue if there is a bug to fix that could affect others
was this a bug in the software?

was it due to inadequate or missing instructions?

or was just a fluke that hopefully no one else will ever need to worry about?

#8 - 2019-01-27 08:49 AM - bill-auger

- Status changed from open to info needed

#9 - 2019-01-27 01:28 PM - anon7mous

I think it could be closed.
I've del wpa_supplicant from default runlevel and now there are no problems.
There is a configfile /etc/wpa_supplicant/wpa_supplicant.conf with no content. If | leave this file empty, | get an error,

#10 - 2020-09-01 01:56 AM - bill-auger

- Status changed from info needed to not-a-bug
